import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class GoldfinchContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    goldfinchSeniorPool({ address, network }: ContractOpts): import("./ethers").GoldfinchSeniorPool;
    goldfinchStakingRewards({ address, network }: ContractOpts): import("./ethers").GoldfinchStakingRewards;
    goldfinchVault({ address, network }: ContractOpts): import("./ethers").GoldfinchVault;
    goldfinchWithdrawalRequestToken({ address, network }: ContractOpts): import("./ethers").GoldfinchWithdrawalRequestToken;
}
export type { GoldfinchSeniorPool } from './ethers';
export type { GoldfinchStakingRewards } from './ethers';
export type { GoldfinchVault } from './ethers';
export type { GoldfinchWithdrawalRequestToken } from './ethers';
